%define		status		stable
%define		pearname	Archive_Tar
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Tar file management class
Summary(pl.UTF-8):	%{pearname} - klasa do zarządzania plikami Tar
Name:		php-pear-%{pearname}
Version:	1.4.0
Release:	1
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	f547764b567155219a87273b23b148fb
URL:		http://pear.php.net/package/Archive_Tar/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides handling of tar files in PHP. It supports
creating, listing, extracting and adding to tar files. Gzip support is
available if PHP has the zlib extension built-in or loaded.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ta klasa udostępnia obsługę plików tar w PHP. Pozwala na tworzenie,
przeglądanie zawartości, rozpakowywanie i dodawanie plików do archiwów
tar. Obsługa kompresji gzip jest dostępna, jeśli do PHP jest
zainstalowany moduł rozszerzenia zlib.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Archive/*.php
%changelog
* Thu Oct 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Archive_Tar.git;a=log;h=auto/th/php-pear-Archive_Tar-1.4.0-1

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> a3d85b3
- up to 1.4.0

* Fri Sep 05 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9c30bea
- updated to 1.3.13

* Sun Aug 10 2014 Elan Ruusamäe <glen@delfi.ee> be2bdeb
- up to 1.3.12

* Wed Jun 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e9130e
- up to 1.3.11

* Wed Aug 29 2012 Elan Ruusamäe <glen@delfi.ee> bed893e
- release 1 (by relup.sh)

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> b17b4f4
- fix files

* Sun Aug 19 2012 Elan Ruusamäe <glen@delfi.ee> d9bdeed
- up to 1.3.10

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 8c75f55
- updated to: 1.3.9

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> 4e38072
- updated to: 1.3.8

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 3d8753e
- updated to: 1.3.7

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 580979b
- updated to 1.3.5

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 8b75611
- updated to 1.3.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> d902492
- rel 4

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> 4be12f1
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6fa9f51
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8686d5d
- converted to UTF-8

* Tue Dec 19 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c596d3
- rel 2

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 9e6fd3a
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> e641725
- BR php-pear-PEAR

* Sun Nov 20 2005 Adam Gołębiowski <adamg@pld-linux.org> e01da6b
- updated to 1.3.2

